Sunday, August 28, 2011

Lost Blinking Cursor In Google Search Page

Just noticed this annoyance this morning. After hitting the Home button in any browser to go to I had to click in the search field to activate it and have a blinking cursor back.....
At first I thought it was related to flash :, but this was not the case.
It seems recently the basic Google search page has been changed. A workaround to the cursor problem was very simple :
Select Options in the upper right corner and then Search settings :

Scroll down to Google Instant and change setting to Do not use Google Instant :

Another workaround can be : bookmark for searching, or set it as your browser home page.

Saturday, August 27, 2011

Mintmenu In Debian

If you like to install Linux Mint’s rather slick menu do the following :
Go to this page :
Download the following packages :

Navigate to where you downloaded the packages :
cd ~/Downloads
and then as root :
dpkg -i *.deb

You may see the following :

dpkg: dependency problems prevent configuration of mintmenu:
mintmenu depends on deskbar-applet; however:
Package deskbar-applet is not installed.
dpkg: error processing mintmenu (--install):
dependency problems - leaving unconfigured
Setting up mint-translations (2011.08.06) ...
Setting up mint-common (1.0.5) ...
Errors were encountered while processing:

The package that seems to be missing was deskbar-applet...
apt-get install deskbar-applet

Right-click gnome-panel > Add to Panel...and choose mintMenu ( Advanced Gnome Menu )

You may encounter some problems ( like I did ) :

In this case you are missing python-xdg, so :
apt-get install python-xdg

Next problem was that the Places menu ( except for Computer in my case ) did not work. So when clicking on Home Folder nothing happens......Solution :
apt-get install xdg-utils

Now it works....

Right-clicking the Menu gives access to the following :

To change and edit your Favorites in the Mint Menu you can right-click to remove things you do not want and right-click on any application in the menu and check Show in my favorites.

Friday, August 26, 2011

March Of The Penguin : 20 Years Of Linux

20 Years ago Linus Torvalds announced on a Web bulletin board that he'd begun working on a free computer operating system. In that message, Torvalds described Linux as just a hobby, won't be big and professional.

Now, two decades later - whether you're aware of it or not - Linux is practically everywhere.
It has become an essential part of the computing world, where it quietly powers many of the modern innovations we take for granted. You can't even fly on an airplane ... you can't use Facebook, you can't buy a book from Amazon, without running into Linux.

Tuesday, August 23, 2011

Debian Sources List Generator

apt-get install <packagename>
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package <packagename>

Easy way to generate a useful sources.list ( /etc/apt/sources.list ) :

Don't forget after making changes :
apt-get update

Saturday, August 13, 2011

Download Songs With Foobnix

Foobnix is a lightweight Python-based music player and organizer described in an earlier post : .
You can grab a package from as I have done before, but some of these packages just don't work. And installing with gdebi did not pull in all the dependencies ( I also had to install python-dbus, gstreamer0.10-plugins-bad and gstreamer0.10-plugins-ugly ).
Just found out that there is a package at ( unstable/Sid ).
Download foobnix_2.5.23-0.0_all.deb from : .

Control file of this package contains the following :
Package: foobnix
Version: 2.5.23-0.0
Architecture: all
Maintainer: Christian Marillat
Installed-Size: 3332
Depends: python (>= 2.6), python-support (>= 0.90.0), python-chardet, python-gtk2, python-mutagen, python-simplejson, gstreamer0.10-plugins-ugly, gstreamer0.10-ffmpeg, python-gst0.10, python-dbus, python-keybinder, python-notify, gstreamer0.10-plugins-bad
Recommends: ffmpeg, python-setuptools, fuseiso
Section: sound
Priority: extra
Description: Simple and powerful music player for Linux.
All the best features in one player. Written in Python, Foobnix is a small,
fast, customizable, powerful music player with a user-friendly interface.

I used gdebi to install foobnix with all its dependencies.

Searching for songs in the search bar popped up the following window :

Pressing the Open button brought me to a loginpage at Vkontakte.....( ).
Not knowing what to do I went to Preferences > Last FM + VK and pressed the Authorization button : the same window as above came up....

After finding this page : it appears that we need more packages installed :
apt-get install python-jswebkit
will pull in : python-webkit, libwebkit-1.0-2 and libwebkit-1.0-common.

Now the following window appears when searching for songs :

Just press Get Default Login Password and then hit the blue button :

I download the songs to a folder Music in my home directory.
In the left pane in foobnix : Add Folder(s) in tree ( in my case ~/Music ).

Downloaded songs appear in left pane after updating ( rightclick in left pane > Update ) or go to Preferences > Music Library > check Update library on start .

You can download songs as well at Legalsounds for $0.09 per mp3.

Wednesday, August 10, 2011

Upgrade Libcairo2 For Better Fonts

Squeeze has libcairo2 version 1.8.10-6 : .

For better fonts you need libcairo2 from backports.
Add these two lines to your sources.list :
deb squeeze-backports main
deb squeeze-backports iceweasel-release

Follow the instructions at for adding the archive key to your apt keyring.

Then :
apt-get update
apt-get install -t squeeze-backports libcairo2

Libcairo2 will be upgraded to version 1.10.2-6~bpo60+1 .

apt-cache policy libcairo2
Installed: 1.10.2-6~bpo60+1
Candidate: 1.10.2-6~bpo60+1
Version table:
*** 1.10.2-6~bpo60+1 0
500 squeeze-backports/iceweasel-release amd64 Packages
100 /var/lib/dpkg/status
1.8.10-6 0
990 squeeze/main amd64 Packages

Add these lines to your .fonts.conf :

<!-- lcdnone, lcddefault, lcdlight, lcdlegacy -->
<match target="font">
<edit mode="assign" name="lcdfilter">

You can also download libcairo version 1.10.2-6~bpo60+1 from here :
Just install it with :
dpkg -i <packagename>

See also a former post : .